Album: Saturn ♄ Mission to Saturn - Solar Sessions
Directory: saturn-mission-to-saturn-single
Directory Suffix: single
Always Reference By Directory: true
Style: single
Date: January 24, 2019
URLs:
- https://potatoboss.bandcamp.com/track/saturn-mission-to-saturn-solar-sessions
Artists:
- Pascal van den Bos
Cover Artists:
- Circlejourney
Cover Art File Extension: png
Color: '#aa6d94'
Groups:
- Pascal van den Bos
- Beyond
---
Track: Saturn ♄ Mission to Saturn - Solar Sessions
Directory: saturn-mission-to-saturn
Suffix Directory: true
Main Release: 'Solar Sessions: a charity album and zine'
Commentary: |-
    <i>Pascal van den Bos:</i> ([Bandcamp about blurb](https://potatoboss.bandcamp.com/track/saturn-mission-to-saturn-solar-sessions), excerpt)

    Made for the album "Solar Sessions" by [Handshake Collaborations](https://hscollabs.tumblr.com) to raise money for the [Evergreen Satellite Food Bank](https://web.archive.org/web/20200401071910/https://www.evergreen.edu/communitybasedlearning/campusfoodbank).

    The album has been removed from the HSC Bandcamp so i decided to release my track on my personal Bandcamp page.

    <i>Quasar Nebula:</i> (wiki editor, 11/2/2025)

    The Bandcamp page's release date is customized to match the original album, [[date:9/21/2018]]. On the wiki, we're showing the actual date it was added to Pascal's discography (`TralbumData.current.publish_date`).
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/saturn-mission-to-saturn-solar-sessions))

    Music by: [[artist:pascal-van-den-bos]]

    Art by: [[artist:circlejourney]]